aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFelix Queißner <git@mq32.de>2020-06-30 22:57:44 +0200
committerFelix Queißner <git@mq32.de>2020-06-30 22:57:44 +0200
commitfdc409bee26abdd9d0cf1d4960565dbcfe895c68 (patch)
treeed9da66da9712e9c4c7b1bc84dd9de667d73e44d
parent7c19f7ccb4d10612e506f1246394cd2c581e3007 (diff)
downloadkristall-fdc409bee26abdd9d0cf1d4960565dbcfe895c68.tar.gz
Updates CI build for linux.
-rwxr-xr-xci/build-and-deploy.sh8
-rw-r--r--ci/docker-compose.yml4
2 files changed, 12 insertions, 0 deletions
diff --git a/ci/build-and-deploy.sh b/ci/build-and-deploy.sh
new file mode 100755
index 0000000..a1a7ae8
--- /dev/null
+++ b/ci/build-and-deploy.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+set -eo pipefail
+
+# First, do the docker build
+docker-compose up
+
+scp -i /home/ci/secret/kristall_ci output/Kristall-nightly-x86_64.AppImage kristall-ci@kristall.random-projects.net:.
diff --git a/ci/docker-compose.yml b/ci/docker-compose.yml
index 9a77052..d80253a 100644
--- a/ci/docker-compose.yml
+++ b/ci/docker-compose.yml
@@ -9,3 +9,7 @@ services:
- /dev/fuse:/dev/fuse
cap_add:
- SYS_ADMIN
+ security_opt:
+ - apparmor:unconfined
+ - seccomp:unconfined
+